import request from '@/utils/request'

// 查询患者就诊记录基本信息列表
export function listVisitRecord(query) {
    return request({
        url: '/manage/patientInfo/list',
        method: 'get',
        params: query
    })
}

// 查询患者就诊记录基本信息详细
export function getVisitRecord(id) {
    return request({
        url: '/manage/patientInfo/' + id,
        method: 'get'
    })
}

// 新增患者就诊记录基本信息
export function addVisitRecord(data) {
    return request({
        url: '/manage/patientInfo',
        method: 'post',
        data: data
    })
}

// 保存修改患者就诊记录基本信息
export function updateVisitRecord(data) {
    return request({
        url: '/manage/patientInfo/updateBaseInfo',
        method: 'put',
        data: data
    })
}
// 就诊记录修改保存
export function updateRecord(data) {
    return request({
        url: 'manage/visitRecord/updateRecord',
        method: 'put',
        data: data
    })
}
// 删除患者就诊记录基本信息
export function delVisitRecord(id) {
    return request({
        url: '/manage/visitRecord/' + id,
        method: 'delete'
    })
}

// 查询患者就诊记录基本信息列表
export function getList(query) {
    return request({
        url: '/manage/visitRecord/getList',
        method: 'get',
        params: query
    })
}

//点击左侧获取
export function visitRecordid(id) {
    return request({
        url: `/manage/visitRecord/${id}`,
        method: 'get',
    })
}

//主治医生
export function usergetList(query) {
    return request({
        url: `/system/user/getList`,
        method: 'get',
        params: query
    })
}

export function selectAgencyList(query) {
    return request({
        url: '/system/agency/selectAgencyList',
        method: 'get',
        params: query
    })
}

//新增就诊记录
export function saveRecord(data) {
    return request({
        url: '/manage/visitRecord/saveRecord',
        method: 'post',
        data: data
    })
}